C                                                                             
C     THIS PROGRAM READS THE DAILY GRIDDED DATA ON THE TOMS-CDROM             
C     FOR NOVEMBER 1, 1978.  VARIABLES LAT AND LON CONTAIN THE                
C     LATITUDES AND LONGITUDES OF THE CENTER OF EACH OF THE GRID              
C     CELLS IN THE ARRAY OZONE.                                               
C                                                                             
      CHARACTER*80   HEADER                                                   
      INTEGER*4      OZONE                                                    
      REAL*4         LAT(180), LON(288)                                       
                                                                              
      DIMENSION      OZONE(288,180)                                           
C                                                                             
C     CALCULATE LATITUDES AND LONGITUDES                                      
C                                                                             
      DLAT = 1.0                                                              
      DO 10 I=1,180                                                           
      LAT(I) = -89.5 + (I-1)*DLAT                                             
10    CONTINUE                                                                
      DLON = 1.25                                                             
      DO 20 I=1,288                                                           
      LON(I) = -179.375 + (I-1)*DLON                                          
20    CONTINUE                                                                
C                                                                             
C     OPEN THE INPUT FILE                                                     
C                                                                             
      OPEN(1,FILE='\Y78\M7811\D781101.DAT',STATUS='OLD')                      
C                                                                             
C     READ IN THE HEADER LINES                                                
C                                                                             
      READ(1,'(A80)') HEADER                                                  
      READ(1,'(A80)') HEADER                                                  
      READ(1,'(A80)') HEADER                                                  
C                                                                             
C     READ IN THE DATA INTO THE ARRAY OZONE                                   
C                                                                             
      DO 30 I=1,180                                                           
      READ(1,'(1X,25I3)') (OZONE(J,I),J=1,288)                                
30    CONTINUE                                                                
C                                                                             
C     CLOSE THE INPUT FILE                                                    
C                                                                             
      CLOSE(1)                                                                
C                                                                             
C     PROCESS/PRINT THE OZONE DATA                                            
C                                                                             
      STOP                                                                    
      END                                                                     
